%define name 	bluez-gnome
%define version 0.25
%define release %mkrel 1

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Bluetooth pairing and control applet
License: 	GPLv2+
Group: 		Graphical desktop/GNOME
Url: 		http://www.bluez.org/
Source0: 	http://bluez.sf.net/download/%{name}-%{version}.tar.gz
Patch0:		bluez-gnome-new-sendto-9.patch
# (fc) 0.18-2mdv don't show class (Fedora)
Patch1:		bluez-gnome-remove-class-file-sharing.patch

BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  libdbus-glib-devel
BuildRequires:  libGConf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libnotify-devel
BuildRequires:  hal-devel
BuildRequires:  intltool
Buildroot: 	%_tmppath/%name-%version
Obsoletes:	bluez-pin <= 0.30
Provides:	bluez-pin
Provides:	dbus-bluez-pin-helper
Suggests:	obex-data-server

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%package analyzer
Summary: Bluetooth protocol analyzer
Group: Communications
Requires: %{name} = %{version}

%description analyzer
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

This package contains the Bluetooth protocol analyzer.


%prep
%setup -q
%patch1 -p0 -b .remove-class
pushd sendto/
%patch0 -p0 -b .sendto
popd

#needed by patch0
autoreconf

%build
%configure2_5x --disable-mime-update --disable-desktop-update --disable-icon-update
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="HardwareSettings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/bluetooth-properties.desktop

%find_lang bluetooth-manager

%clean
rm -rf %{buildroot}

%post
%post_install_gconf_schemas bluetooth-manager
%update_menus
%update_mime_database
%update_desktop_database
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas bluetooth-manager

%postun
%clean_menus
%clean_mime_database
%clean_desktop_database
%clean_icon_cache hicolor

%post analyzer
%update_menus

%postun analyzer
%clean_menus

%files -f bluetooth-manager.lang
%defattr(-,root,root)
%_sysconfdir/gconf/schemas/bluetooth-manager.schemas
%_sysconfdir/xdg/autostart/bluetooth-applet.desktop
%_bindir/bluetooth-applet
%_bindir/bluetooth-properties
%_bindir/bluetooth-sendto
%_datadir/applications/bluetooth-properties.desktop
%{_mandir}/man1/bluetooth-sendto.*
%{_mandir}/man1/bluetooth-applet.*
%{_mandir}/man1/bluetooth-properties.*
%{_datadir}/mime/packages/bluetooth-manager.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg

%files analyzer
%defattr(-,root,root)
%{_bindir}/bluetooth-analyzer
%{_datadir}/applications/bluetooth-analyzer.desktop
%{_mandir}/man1/bluetooth-analyzer.*


%changelog
* Tue Mar 18 2008 Frederic Crozat <fcrozat@mandriva.com> 0.25-1mdv2008.1
+ Revision: 188513
- Release 0.25

* Fri Mar 07 2008 Frederic Crozat <fcrozat@mandriva.com> 0.23-2mdv2008.1
+ Revision: 181184
- Remove patch3 now that obexftp support is available in gvfs/nautilus

* Tue Feb 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.23-1mdv2008.1
+ Revision: 175600
- New version
- sync with fedora

* Tue Feb 19 2008 Frederic Crozat <fcrozat@mandriva.com> 0.21-1mdv2008.1
+ Revision: 173023
- Release 0.21
- Remove patch2, merged upstream
- Update patch0 and 1 with new version (Fedora)

* Mon Feb 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.18-2mdv2008.1
+ Revision: 165269
- Fix BuildRequires
- Move analyzer to a separate subpackage
- Replace bluez-pin
- Improve description / license (Fedora)
- Patch0, Source1 (Fedora): improve send-to dialog
- Patch1 (Fedora): don't show class in UI
- Patch2: fix device discovery (GNOME bug #515784)
- Patch3: hide browse devices until nautilus/gio supports OBEX
- Suggests obex-data-server for sendto feature

* Sun Feb 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.18-1mdv2008.1
+ Revision: 164796
- New version

* Sat Feb 09 2008 Emmanuel Andry <eandry@mandriva.org> 0.17-1mdv2008.1
+ Revision: 164497
- New version

* Wed Dec 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-1mdv2008.1
+ Revision: 138033
- New version 0.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2008.1
+ Revision: 115450
- disable mime database update during build
- new version
- update to new version 0.14

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 0.14

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

  + Nicolas Lécureuil <neoclust@mandriva.org>
    -New version 0.10

* Wed Jun 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9-1mdv2008.0
+ Revision: 41764
- New version 0.9

* Fri Jun 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8-1mdv2008.0
+ Revision: 37578
- New version 0.8

* Sun May 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.7-1mdv2008.0
+ Revision: 28976
- New version 0.7


* Fri Mar 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-2mdv2007.0
+ Revision: 131004
- reenable menu, seems to need it for autostart

* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.6-1mdv2007.1
+ Revision: 130862
- fix buildrequires
- gtk2-devel
- libGConf2_4-devel
- buildrequires libdbus-glib-devel

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix mistakes in SPEC
    - Add BR
    - New release 0.6  Menu entry not needed its an applet

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 0.6

* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
+ Revision: 60182
- import bluez-gnome-0.4-1mdv2007.0

* Wed Sep 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-1mdv2007.0
- First Mandriva release

